use std::path::Path;

use serde::Serialize;

use crate::blog_post::Section;
use crate::config::Config;
use crate::error::CustomError;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "section")]
pub(crate) struct RenderSection {}

impl RenderSection {
    pub(crate) fn new<D: AsRef<Path>, F: AsRef<Path>>(
        config: &Config,
        output_directory: D,
        output_file: F,
        section: &Section,
    ) -> Result<RenderSection, CustomError> {
        Ok(RenderSection {})
    }
}
